//+-------------------------------------------------------------------------+
//|                                           Brooky_Indi_Select.mq4 -------|
//|                      Copyright  2010, MetaQuotes Software Corp. -------|
//|                                        http://www.metaquotes.net -------|
//|                                     Concept by Arsalan at Thread -------|
//http://forex-strategies-revealed.com/advanced/system-selection-technique -|
//+-------------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 7


#property indicator_width1 2
#property indicator_width2 2
#property indicator_width3 2
#property indicator_width4 3
#property indicator_width5 3
#property indicator_width6 3
#property indicator_width7 3


extern string Concept = "+-- Concept by Arsalan --+";
extern string Coder = "+- Forex-Indicators.Weebly.Com -+";
extern string Settings1 = "+-- Default Main ADX Period --+";
extern int adx_period = 14;
extern string Settings3 = "+-- Suggests Indicator and Power --+";
extern bool show_comment = false;
extern string Setup  = "+--- Legend Setup ---+";
extern bool  see_legend = true;
extern string Where  = "+--- Where To Display ---+";
extern int Top_Dn_Distance = 0;
extern int Right_In_Distance = 10;
extern int Grid_Corner = 1;
extern int Line_space = 15;
extern string Fonts  = "+--- Writing To Display ---+";
extern string My_font = "ArialBold";
extern int Font_size = 9;
extern string Colors  = "+--- Color of Display ---+";
extern color line_1_color = C'41,41,41';
extern color line_2_color = Red;
extern color line_3_color = DodgerBlue;
extern color line_4_color = Yellow;
extern color line_5_color = LimeGreen;
extern color line_6_color = White;
extern color line_7_color = C'41,41,41';


/*
DRAW_LINE 0 Drawing line. 
DRAW_SECTION 1 Drawing sections. 
DRAW_HISTOGRAM 2 Drawing histogram. 
DRAW_ARROW 3 Drawing arrows (symbols). 
DRAW_ZIGZAG 4 Drawing sections between even and odd indicator buffers. 
DRAW_NONE 12 No drawing 

*/
/////////


////////
//---- buffers
double data_buff[];
double data_buff_display[];
double osc_buffer[];
double trend_buff[];
double sectional_osc_buffer[];
double sectional_trend_buffer[];
double profit_buff[];
//--Some Variables
string BISname="BISHead",BISname2="BISn2",BISname3="BISn3",BISname4="BISn4",BISname5="BISn5",BISname6="BISn6",BISname7="BISn7",
              BISname8="BISn8",BISname9="BISn9",BISname10="BISn10";
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(7);
   SetIndexBuffer(0,data_buff);SetIndexStyle(0,0,EMPTY,2,line_1_color );SetIndexLabel(0,"Data");
   
   SetIndexBuffer(1,data_buff_display);SetIndexStyle(1,2,EMPTY,2,line_2_color );SetIndexLabel(1,"HOLD");
   
   SetIndexBuffer(2,osc_buffer);SetIndexStyle(2,2,EMPTY,2,line_3_color);SetIndexLabel(2,"Use Oscillators");
   
   SetIndexBuffer(3,trend_buff);SetIndexStyle(3,2,EMPTY,3,line_4_color);SetIndexLabel(3,"Use Trending ");
   
   SetIndexBuffer(4,sectional_osc_buffer);SetIndexStyle(4,2,EMPTY,3,line_5_color);SetIndexLabel(4,"Look Toward Oscillators");
   
   SetIndexBuffer(5,sectional_trend_buffer);SetIndexStyle(5,2,EMPTY,3,line_6_color);SetIndexLabel(5,"Look Toward Trending");
   
   SetIndexBuffer(6,profit_buff);SetIndexStyle(6,2,EMPTY,3,line_7_color);SetIndexLabel(6,"Take Profit");  
  
   IndicatorShortName("Brooky_Indi_Select");

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   Comment("");
      if(see_legend)
   {
   ObjectDelete( BISname );
   ObjectDelete( BISname2 );
   ObjectDelete( BISname3 ); 
   ObjectDelete( BISname4 ); 
   ObjectDelete( BISname5 ); 
   ObjectDelete( BISname6 );
   ObjectDelete( BISname7 );
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

        
  int start()
    {
     double adx_now, adx_b3, adx_b5,adx_b7, adx_level;
     int limit;
     int counted_bars=IndicatorCounted();
  //---- check for possible errors
     if(counted_bars<0) return(-1);
  //---- the last counted bar will be recounted
     if(counted_bars>0) counted_bars--;
     limit=Bars-counted_bars;

     string Use_text1 ="Book Profits";
     string Use_text2 ="HOLD for Direction-Maybe Exit Position";
     string Use_text3 ="Use Oscillators (RSI,STOCHASTIC,Bollinger)";
     string Use_text4 ="Use Trend Indis (MACD,Moving Averages ETC)";
     string Use_text5 ="Look Toward Using Oscillators (RSI,STOCHASTIC ETC)";
     string Use_text6 ="Look Toward Using  Trend Indis (MACD,Moving Averages ETC)";
     string Use_dir1  ="Directional Power Increasing";
     string Use_dir2  ="Directional Power Decreasing";
     string Use_dir3  ="Directional Power Flat";
     
  //---- main loop
     for(int i=0; i<limit; i++)
       {
       data_buff_display[i]=EMPTY_VALUE;
       osc_buffer[i]=EMPTY_VALUE;
       trend_buff[i]=EMPTY_VALUE;
       sectional_osc_buffer[i]=EMPTY_VALUE;
       sectional_trend_buffer[i]=EMPTY_VALUE;
       profit_buff[i]=EMPTY_VALUE;

   if(see_legend)
   {
   int windowIndex=WindowFind("Brooky_Indi_Select");

   
   BISname="BISheader";
   ObjectCreate( BISname, OBJ_LABEL, windowIndex, 0, 0 );
   ObjectSet( BISname, OBJPROP_XDISTANCE, Right_In_Distance );
   ObjectSet( BISname, OBJPROP_YDISTANCE, Top_Dn_Distance + 1*Line_space );
   ObjectSet( BISname, OBJPROP_CORNER, Grid_Corner );
   ObjectSet( BISname, OBJPROP_COLOR, line_6_color );

///////////////
   BISname2="BISr1";
   ObjectCreate( BISname2, OBJ_LABEL, windowIndex, 0, 0 );
   ObjectSet( BISname2, OBJPROP_XDISTANCE, Right_In_Distance );
   ObjectSet( BISname2, OBJPROP_YDISTANCE, Top_Dn_Distance + 3*Line_space );
   ObjectSet( BISname2, OBJPROP_CORNER, Grid_Corner );
   ObjectSet( BISname2, OBJPROP_COLOR, line_2_color );
////////////////
   BISname3="BISr2";
   ObjectCreate( BISname3, OBJ_LABEL, windowIndex, 0, 0 );
   ObjectSet( BISname3, OBJPROP_XDISTANCE, Right_In_Distance );
   ObjectSet( BISname3, OBJPROP_YDISTANCE, Top_Dn_Distance + 4*Line_space );
   ObjectSet( BISname3, OBJPROP_CORNER, Grid_Corner );
   ObjectSet( BISname3, OBJPROP_COLOR, line_3_color );
///////////////
   BISname4="BISr3";
   ObjectCreate( BISname4, OBJ_LABEL, windowIndex, 0, 0 );
   ObjectSet( BISname4, OBJPROP_XDISTANCE, Right_In_Distance );
   ObjectSet( BISname4, OBJPROP_YDISTANCE, Top_Dn_Distance + 5*Line_space );
   ObjectSet( BISname4, OBJPROP_CORNER, Grid_Corner );
   ObjectSet( BISname4, OBJPROP_COLOR, line_4_color ); 
///////////////
   BISname5="BISr4";
   ObjectCreate( BISname5, OBJ_LABEL, windowIndex, 0, 0 );
   ObjectSet( BISname5, OBJPROP_XDISTANCE, Right_In_Distance );
   ObjectSet( BISname5, OBJPROP_YDISTANCE, Top_Dn_Distance + 6*Line_space );
   ObjectSet( BISname5, OBJPROP_CORNER, Grid_Corner );
   ObjectSet( BISname5, OBJPROP_COLOR, line_5_color );   
///////////////
   BISname6="BISr5";
   ObjectCreate( BISname6, OBJ_LABEL, windowIndex, 0, 0 );
   ObjectSet( BISname6, OBJPROP_XDISTANCE, Right_In_Distance );
   ObjectSet( BISname6, OBJPROP_YDISTANCE, Top_Dn_Distance + 7*Line_space );
   ObjectSet( BISname6, OBJPROP_CORNER, Grid_Corner );
   ObjectSet( BISname6, OBJPROP_COLOR, line_6_color );
///////////////
   BISname7="BISr6";
   ObjectCreate( BISname7, OBJ_LABEL, windowIndex, 0, 0 );
   ObjectSet( BISname7, OBJPROP_XDISTANCE, Right_In_Distance );
   ObjectSet( BISname7, OBJPROP_YDISTANCE, Top_Dn_Distance + 8*Line_space );
   ObjectSet( BISname7, OBJPROP_CORNER, Grid_Corner );
   ObjectSet( BISname7, OBJPROP_COLOR, line_7_color );
//----
      ObjectSetText( BISname,  "|-----Color Legend --------------| ");
      ObjectSetText( BISname2, "|||| Wait for Direction |||||||||| ");
      ObjectSetText( BISname3, "|||| Use(Rsi,Stochastic,Boll) |||| ");
      ObjectSetText( BISname4, "|||| Use Trending (Macd,M-Av) |||| ");
      ObjectSetText( BISname5, "|||| Look Toward Oscillators ||||| ");
      ObjectSetText( BISname6, "|||| Look Toward Trending |||||||| ");
      ObjectSetText( BISname7, "|||| Take Profit ? Reversal? ||||| ");
      WindowRedraw();
     }
       string text="";
       string direction="";
       adx_level=0;
       adx_now=iADX(NULL,0,adx_period,PRICE_HIGH,MODE_MAIN,i);
       adx_b3=iADX(NULL,0,adx_period,PRICE_HIGH,MODE_MAIN,i+3);
       adx_b5=iADX(NULL,0,adx_period,PRICE_HIGH,MODE_MAIN,i+5);
       adx_b7=iADX(NULL,0,adx_period,PRICE_HIGH,MODE_MAIN,i+7);
       
       if(adx_now>0 && adx_now<=2)adx_level=0.4545;
       if(adx_now>2 && adx_now<=4)adx_level=0.9091;
       if(adx_now>4 && adx_now<=6)adx_level=1.3636;
       if(adx_now>6 && adx_now<=8)adx_level=1.8182;
       if(adx_now>8 && adx_now<=10)adx_level=2.2727;
       if(adx_now>10 && adx_now<=12)adx_level=2.7273;
       if(adx_now>12 && adx_now<=14)adx_level=3.1818;
       if(adx_now>14 && adx_now<=16)adx_level=3.6364;
       if(adx_now>16 && adx_now<=18)adx_level=4.0909;
       if(adx_now>18 && adx_now<=20)adx_level=4.5455;
       if(adx_now>20 && adx_now<=22)adx_level=5.0000;
       if(adx_now>22 && adx_now<=24)adx_level=5.4545;
       if(adx_now>24 && adx_now<=26)adx_level=5.9091;
       if(adx_now>26 && adx_now<=28)adx_level=6.3636;
       if(adx_now>28 && adx_now<=30)adx_level=6.8182;
       if(adx_now>30 && adx_now<=32)adx_level=7.2727;
       if(adx_now>32 && adx_now<=34)adx_level=7.7273;
       if(adx_now>34 && adx_now<=36)adx_level=8.1818;
       if(adx_now>36 && adx_now<=38)adx_level=8.6364;
       if(adx_now>38 && adx_now<=40)adx_level=9.0909;
       if(adx_now>40 && adx_now<=42)adx_level=9.5454;
       if(adx_now>42 && adx_now<=44)adx_level=10;
       if(adx_now>44)adx_level=10;
       
       data_buff[i]=adx_level;
       data_buff_display[i]=adx_level;
       
       if(adx_level<=4.5455){
         osc_buffer[i]=adx_level;
            data_buff_display[i]=EMPTY_VALUE;
            text=Use_text3;}//
       
       if(adx_level>=7.2727 && adx_level<=9.999){
         trend_buff[i]=adx_level;
         data_buff_display[i]=EMPTY_VALUE;
         text=Use_text4;}
       
       if (adx_level==10){
         profit_buff[i]=adx_level;data_buff_display[i]=EMPTY_VALUE;
         text=Use_text1;
         }

       }
      
      for(i=0; i<limit; i++)
       {
       
       if(data_buff[i+2]<=4.5455 && data_buff[i]>=5.4545){sectional_trend_buffer[i]=data_buff[i];text=Use_text6;data_buff_display[i]=EMPTY_VALUE;}
       if(data_buff[i+3]<=4.5455 && data_buff[i]>=5.4545){sectional_trend_buffer[i]=data_buff[i];text=Use_text6;data_buff_display[i]=EMPTY_VALUE;}
       if(data_buff[i+4]<=4.5455 && data_buff[i]>=5.4545){sectional_trend_buffer[i]=data_buff[i];text=Use_text6;data_buff_display[i]=EMPTY_VALUE;}
       if(data_buff[i+5]<=4.5455 && data_buff[i]>=5.4545){sectional_trend_buffer[i]=data_buff[i];text=Use_text6;data_buff_display[i]=EMPTY_VALUE;}
       
       
       
       if(data_buff[i+2]>=7.2727 && data_buff[i]<=6.3636 ){sectional_osc_buffer[i]=data_buff[i];text=Use_text5;data_buff_display[i]=EMPTY_VALUE;}
       if(data_buff[i+3]>=7.2727 && data_buff[i]<=6.3636 ){sectional_osc_buffer[i]=data_buff[i];text=Use_text5;data_buff_display[i]=EMPTY_VALUE;}
       if(data_buff[i+4]>=7.2727 && data_buff[i]<=6.3636 ){sectional_osc_buffer[i]=data_buff[i];text=Use_text5;data_buff_display[i]=EMPTY_VALUE;}
       if(data_buff[i+5]>=7.2727 && data_buff[i]<=6.3636 ){sectional_osc_buffer[i]=data_buff[i];text=Use_text5;data_buff_display[i]=EMPTY_VALUE;}
       
       
       }
    
     for(i=0; i<limit; i++)
       {
       
       
       
       if(sectional_trend_buffer[i]==EMPTY_VALUE &&
       sectional_osc_buffer[i]==EMPTY_VALUE &&
       profit_buff[i]==EMPTY_VALUE &&
       osc_buffer[i]==EMPTY_VALUE &&
       trend_buff[i]==EMPTY_VALUE)text = Use_text2;
       
       if(data_buff[i]<data_buff[i+1]) direction=Use_dir2;
       if(data_buff[i]>data_buff[i+1]) direction=Use_dir1;
       if(data_buff[i]==data_buff[i+1]) direction=Use_dir3;
       
       if(show_comment!=false)
  {

     string newline = "\n";
     Comment(
      "--Indicator Selection --+",newline,
      "----Indis to use--( ",text,newline,
      "--Direction Status --+",newline,
      "----Current Flow --",direction,newline
      );
      }
      

       
       }      
       
     return(0);
    }
//+------------------------------------------------------------------+